# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70"
name = "eos-sys"
version = "0.1.0"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Raw FFI bindings to the Epic Online Services (EOS) C SDK."
homepage = "https://dev.epicgames.com/services"
documentation = "https://docs.rs/eos-sys"
readme = "README.md"
keywords = [
    "eos",
    "epic",
    "online-services",
    "ffi",
]
categories = [
    "api-bindings",
    "external-ffi-bindings",
    "games",
]
license = "MIT OR Apache-2.0"

[features]
bindgen = ["dep:bindgen"]
default = ["prebuilt-bindings"]
prebuilt-bindings = []

[lib]
name = "eos_sys"
path = "src/lib.rs"

[dependencies.libc]
version = "0.2"

[build-dependencies.bindgen]
version = "0.71"
optional = true
